classification
Title: os.times() disappeared under Windows
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: larry Nosy List: georg.brandl, larry, pitrou, python-dev
Priority: release blocker Keywords:

Created on 2012-07-21 16:27 by pitrou, last changed 2012-07-24 21:45 by larry. This issue is now closed.

Messages (5)
msg166045 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-07-21 16:27
This is from issue #15118.

Python 3.3.0b1 (v3.3.0b1:e15c554cd43e+, Jun 26 2012, 20:41:17) [MSC v.1600 64 bi
t (AMD64)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> import os
>>> os.times()
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
AttributeError: 'module' object has no attribute 'times'
msg166272 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-07-24 10:25
Larry?
msg166323 - (view) Author: Roundup Robot (python-dev) Date: 2012-07-24 19:26
New changeset d9a881b0d6ca by Antoine Pitrou in branch 'default':
Issue #15413: os.times() had disappeared under Windows.
http://hg.python.org/cpython/rev/d9a881b0d6ca
msg166324 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-07-24 19:26
Ok, I fixed it.
msg166334 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2012-07-24 21:45
Sorry, I've been on the road a lot.  Thanks, Antoine!
History
Date User Action Args
2012-07-24 21:45:55larrysetmessages: + msg166334
2012-07-24 19:26:42pitrousetstatus: open -> closed
resolution: fixed
messages: + msg166324

stage: needs patch -> resolved
2012-07-24 19:26:00python-devsetnosy: + python-dev
messages: + msg166323
2012-07-24 10:25:06georg.brandlsetmessages: + msg166272
2012-07-21 16:27:26pitroucreate